## title: "Fractional factorial design"
## Install the package
## install.packages("AlgDesign")  

## Load the package
library(AlgDesign)            
set.seed(125)
num_reps =3;
sets=50;
options(max.print = 100000)

levels.design=c(4,3,4,4,3,2,3,4,4)
design<-gen.factorial(levels.design, nVars=9, varNames=c("Price","FuelType","Range","FPrice","Size","Incen", "Maintenance", "Cargo","Accel"),center=FALSE)

#fract <- optFederov(data=design,nTrials=(num_reps*sets),approximate=TRUE,criterion="I")
#fract<-optFederov(~.,design,12,nRepeats=100)
#fract <- optFederov(data=design,nTrials=(num_reps*sets),approximate=FALSE,nRepeats=30)
fract <- optFederov(data=design,nTrials=(num_reps*sets),approximate=FALSE)

print("Optimal Design")
fract$design
